Package org.apache.sysds.runtime.compress.colgroup.indexes

## Enum IColIndex.ColIndexType

- java.lang.Object
- - java.lang.Enum<IColIndex.ColIndexType>
  - - org.apache.sysds.runtime.compress.colgroup.indexes.IColIndex.ColIndexType

All Implemented Interfaces:
  `Serializable`, `Comparable<IColIndex.ColIndexType>`

Enclosing interface:
  IColIndex

    public static enum IColIndex.ColIndexType
    extends Enum<IColIndex.ColIndexType>

### Enum Constant Summary

Enum Constants
`ARRAY`
`RANGE`
`SINGLE`
`TWO`
`UNKNOWN`

### Method Summary

All Methods Static Methods Concrete Methods
`static IColIndex.ColIndexType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static IColIndex.ColIndexType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SINGLE

    public static final IColIndex.ColIndexType SINGLE

#### TWO

    public static final IColIndex.ColIndexType TWO

#### ARRAY

    public static final IColIndex.ColIndexType ARRAY

#### RANGE

    public static final IColIndex.ColIndexType RANGE

#### UNKNOWN

    public static final IColIndex.ColIndexType UNKNOWN

### Method Detail

#### values

    public static IColIndex.ColIndexType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IColIndex.ColIndexType c : IColIndex.ColIndexType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IColIndex.ColIndexType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null